<div class="page-wrapper">
    <div class="page zebrunner-dashboards _normal-container">
        <zeb-page-header
            page-title="$ctrl.currentTitle">
        </zeb-page-header>
        <div class="content-wrapper">
            <zeb-page-subheader
                search-query="$ctrl.sc.query"
                on-search="$ctrl.getAllDashboards()"
                on-reset="$ctrl.getAllDashboards(true)">
                <md-button class="md-primary md-raised _left-icon gtm-dashboard-button _small"
                    ng-click="$ctrl.showDashboardDialog($event)"
                    ng-if="!$ctrl.isTouchDevice && $ctrl.userHasAnyPermission(['reporting:dashboards:update'])">
                <md-icon class="material-icons">add_circle</md-icon>
                <span class="md-button__text">Add dashboard</span>
                </md-button>
            </zeb-page-subheader>
            <div class="dashboards-table__container">
                <md-card class="no-margin-h">
                    <div class="dashboards-table dashboards-table__header">
                        <div class="dashboards-table__row">
                            <div class="dashboards-table__col _name">
                                <div class="dashboards-table__header-button"
                                    ng-click="$ctrl.handleSortCriteriaChange('title')"
                                    ng-class="{'_active-asc': $ctrl.currentSortCriteria === 'title' && $ctrl.currentSortOrder === 'ASC', '_active-desc': $ctrl.currentSortCriteria === 'title' && $ctrl.currentSortOrder === 'DESC'}">
                                    <span>Dashboard name</span>
                                    <md-icon class="material-icons">unfold_more</md-icon>
                                    <md-icon class="material-icons _active-desc">arrow_downward</md-icon>
                                    <md-icon class="material-icons _active-asc">arrow_upward</md-icon>
                                </div>
                            </div>
                            <div class="dashboards-table__col _created">
                                <div class="dashboards-table__header-button"
                                    ng-click="$ctrl.handleSortCriteriaChange('createdAt')"
                                    ng-class="{'_active-asc': $ctrl.currentSortCriteria === 'createdAt' && $ctrl.currentSortOrder === 'ASC', '_active-desc': $ctrl.currentSortCriteria === 'createdAt' && $ctrl.currentSortOrder === 'DESC'}">
                                    <span>Creation date</span>
                                    <md-icon class="material-icons">unfold_more</md-icon>
                                    <md-icon class="material-icons _active-desc">arrow_downward</md-icon>
                                    <md-icon class="material-icons _active-asc">arrow_upward</md-icon>
                                </div>
                            </div>
                            <div class="dashboards-table__col _edit"></div>
                            <div class="dashboards-table__col _delete"></div>
                        </div>
                    </div>
                    <div class="dashboards-table" ng-if="!$ctrl.isDashboardsEmpty()">
                        <div class="dashboards-table__row" ng-repeat="dashboard in $ctrl.dashboards">
                            <div class="dashboards-table__col _name">
                                <a name="dashboardName"
                                    class="dashboards-table__content _link"
                                    ui-sref="dashboard.page({dashboardId: dashboard.id})">
                                    {{dashboard.title}}
                                </a>
                            </div>
                            <div class="dashboards-table__col _created" data-title="created">
                                <span class="dashboards-table__content">{{ (dashboard.createdAt | date: 'MMM d, y') || ''}}</span>
                            </div>
                            <div class="dashboards-table__col _edit" >
                                <md-icon class="material-icons icon"
                                    ng-if="dashboard.editable &&  $ctrl.userHasAnyPermission(['reporting:dashboards:update', 'reporting:dashboards:access-private'])"
                                    ng-click="$ctrl.showDashboardDialog($event, dashboard, 'edit')">edit</md-icon>
                            </div>
                            <div class="dashboards-table__col _delete">
                                <md-icon class="material-icons icon"
                                    ng-if="dashboard.editable && $ctrl.userHasAnyPermission(['reporting:dashboards:delete', 'reporting:dashboards:access-private'])"
                                    ng-click="$ctrl.showDashboardDialog($event, dashboard, 'delete')">delete_outline</md-icon>
                            </div>
                        </div>
                    </div>
                    <div class="dashboards-table__row _centered" ng-if="$ctrl.status === 'pending'">
                        <md-progress-circular class="dashboards-table__loader" md-mode="indeterminate" md-diameter="30px"></md-progress-circular>
                    </div>
                    <div class="dashboards-table__row _centered" ng-if="$ctrl.status === 'success' && $ctrl.isDashboardsEmpty()">
                        <span id="noData" class="users-table__message">No dashboards</span>
                    </div>
                </md-card>
            </div>
        </div>
    </div>
</div>
